# Vipps Payment

**Summary:** Endpoints for Vipps Payment

- Role: [Developers](https://www.subrite.no/developers)
- Source: https://www.subrite.no/developers/vipps-payment
- Updated: 2026-10-13
- Markdown index: https://www.subrite.no/developers/llms.txt

<a id="post-api-v1-payments-vipps-intent"></a>
## VippsController\_createIntent\_v1

`POST /api/v1/payments/vipps/intent`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `user-agent` (Required) | header | `string` |   |

### Request body

Content type: `application/json` · Required · `CreateIntentDto`

| Name | Type | Description |
| --- | --- | --- |
| `packageId` (Required) | `number` | `minimum`: `1` |
| `isSaved` (Required) | `boolean` |   |
| `optionalProducts` | `array of OptionalProductWithQuantity` |   |
| `optionalProducts[].productId` (Required when parent is present) | `number` | `minimum`: `1` |
| `optionalProducts[].quantity` (Required when parent is present) | `number` | `minimum`: `1` |
| `optionalProducts[].shippingCountry` | `string` | `maxLength`: `64` |
| `optionalProducts[].manualPrice` | `number` |   |
| `userData` (Required) | `CheckoutUser` |   |
| `userData.memberId` | `string` |   |
| `userData.email` | `string (email)` |   |
| `userData.fullName` (Required) | `string` |   |
| `userData.phone` | `string` | `maxLength`: `20` |
| `userData.payerPhone` | `string` | `maxLength`: `20` |
| `userData.countryCode` | `string` | Allowed values: `"NO"`, `"SE"`, `"DK"`, `"FI"`, `"FO"`, `"GB"` |
| `userData.isCompany` | `boolean` |   |
| `userData.companyName` | `string` |   |
| `userData.organizationNo` | `string` |   |
| `userData.reference` | `string` |   |
| `userData.onCheckoutCompletedUrl` | `string` |   |
| `userData.userAgent` | `string` |   |
| `userData.channel` | `string` | Allowed values: `"mobile"`, `"desktop"` |
| `userData.sourceUrl` | `string` |   |
| `userData.referrerUrl` | `string` |   |
| `billingAddress` | `BillingAddress` |   |
| `billingAddress.address` (Required when parent is present) | `string` |   |
| `billingAddress.addressTwo` | `string` |   |
| `billingAddress.companyName` | `string` |   |
| `billingAddress.organizationNo` | `string` |   |
| `billingAddress.postCode` (Required when parent is present) | `string` |   |
| `billingAddress.city` | `string` |   |
| `billingAddress.country` (Required when parent is present) | `string` |   |
| `billingAddress.invoiceReference` | `string` |   |
| `billingAddress.email` | `string` |   |
| `billingAddress.fullName` | `string` |   |
| `billingAddress.phone` | `string` |   |

**Example request body**

`application/json`

```json
{
  "packageId": 1,
  "isSaved": true,
  "userData": {
    "memberId": "string",
    "email": "user@example.com",
    "fullName": "<fullName>",
    "phone": "<phone>",
    "payerPhone": "<payerPhone>",
    "countryCode": "NO",
    "isCompany": true,
    "companyName": "string",
    "organizationNo": "string",
    "reference": "string",
    "onCheckoutCompletedUrl": "string",
    "userAgent": "string",
    "channel": "mobile",
    "sourceUrl": "string",
    "referrerUrl": "string"
  },
  "billingAddress": {
    "address": "<address>",
    "addressTwo": "<addressTwo>",
    "companyName": "string",
    "organizationNo": "string",
    "postCode": "string",
    "city": "string",
    "country": "string",
    "invoiceReference": "string",
    "email": "string",
    "fullName": "<fullName>",
    "phone": "<phone>"
  }
}
```

### Responses

#### 201

Content type: `application/json` · `VippsCreateIntentResponse`

| Name | Type | Description |
| --- | --- | --- |
| `vippsConfirmationUrl` (Required) | `string` |   |
| `id` (Required) | `string` |   |
| `checkoutStateUuid` | `string` |   |

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` |   |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbidden

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"forbidden"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "forbidden",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 409

Content type: `application/json` · `ErrorResponse`

checkoutPhoneHasAccount

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"checkoutPhoneHasAccount"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "checkoutPhoneHasAccount",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

### Example request

```bash
curl https://api.subrite.no/api/v1/payments/vipps/intent \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'user-agent: <user-agent>' \
  --data '{
  "packageId": 1,
  "isSaved": true,
  "optionalProducts": [
    {}
  ],
  "userData": {
    "memberId": "string",
    "email": "user@example.com",
    "fullName": "<fullName>",
    "phone": "<phone>",
    "payerPhone": "<payerPhone>",
    "countryCode": "NO",
    "isCompany": true,
    "companyName": "string",
    "organizationNo": "string",
    "reference": "string",
    "onCheckoutCompletedUrl": "string",
    "userAgent": "string",
    "channel": "mobile",
    "sourceUrl": "string",
    "referrerUrl": "string"
  },
  "billingAddress": {
    "address": "<address>",
    "addressTwo": "<addressTwo>",
    "companyName": "string",
    "organizationNo": "string",
    "postCode": "string",
    "city": "string",
    "country": "string",
    "invoiceReference": "string",
    "email": "string",
    "fullName": "<fullName>",
    "phone": "<phone>"
  }
}'
```

### Example response

201 · `application/json`

```json
{
  "vippsConfirmationUrl": "string",
  "id": "string",
  "checkoutStateUuid": "string"
}
```

<a id="post-api-v1-payments-vipps-order-intent"></a>
## VippsController\_createIntentFromOrder\_v1

`POST /api/v1/payments/vipps/order-intent`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `CreateIntentFromOrderDto`

| Name | Type | Description |
| --- | --- | --- |
| `orderId` (Required) | `number` | `minimum`: `1` |
| `phone` | `string` |   |
| `paymentToken` | `string (uuid)` |   |

**Example request body**

`application/json`

```json
{
  "orderId": 1,
  "phone": "<phone>",
  "paymentToken": "<paymentToken>"
}
```

### Responses

#### 201

Content type: `application/json` · `VippsCreateIntentResponse`

Same fields as [VippsController\_createIntent\_v1 (201)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

### Example request

```bash
curl https://api.subrite.no/api/v1/payments/vipps/order-intent \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "orderId": 1,
  "phone": "<phone>",
  "paymentToken": "<paymentToken>"
}'
```

### Example response

201 · `application/json`

```json
{
  "vippsConfirmationUrl": "string",
  "id": "string",
  "checkoutStateUuid": "string"
}
```

<a id="get-api-v1-payments-vipps-callback"></a>
## VippsController\_callBack\_v1

`GET /api/v1/payments/vipps/callback`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `externalId` (Required) | query | `string` |   |
| `tenantId` (Required) | query | `number` | `minimum`: `1` |
| `packageId` | query | `number` | `minimum`: `1` |
| `orderId` | query | `number` | `minimum`: `1` |

### Responses

#### 200

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/payments/vipps/callback?externalId=%3CexternalId%3E&tenantId=%3CtenantId%3E' \
  --header 'Authorization: Bearer <token>'
```

<a id="post-api-v1-payments-vipps-webhook-tenantid"></a>
## VippsController\_webhook\_v1

`POST /api/v1/payments/vipps/webhook/{tenantId}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `tenantId` (Required) | path | `number` |   |

### Request body

Content type: `application/json` · Required · `VippsWebhookEvent`

| Name | Type | Description |
| --- | --- | --- |
| `agreementId` (Required) | `string` |   |
| `amount` (Required) | `number` |   |
| `amountCanceled` (Required) | `number` |   |
| `amountCaptured` (Required) | `number` |   |
| `amountRefunded` (Required) | `number` |   |
| `chargeExternalId` (Required) | `string` |   |
| `chargeId` (Required) | `string` |   |
| `chargeType` (Required) | `string` |   |
| `currency` (Required) | `string` |   |
| `eventType` (Required) | `string` | Allowed values: `"recurring.charge-captured.v1"`, `"recurring.charge-failed.v1"`, `"recurring.agreement-stopped.v1"` |
| `occurred` (Required) | `string (date-time)` |   |
| `actor` | `string` | Allowed values: `"MERCHANT"`, `"USER"` |

**Example request body**

`application/json`

```json
{
  "agreementId": "string",
  "amount": 0,
  "amountCanceled": 0,
  "amountCaptured": 0,
  "amountRefunded": 0,
  "chargeExternalId": "string",
  "chargeId": "string",
  "chargeType": "string",
  "currency": "string",
  "eventType": "recurring.charge-captured.v1",
  "occurred": "2019-08-24T14:15:22Z",
  "actor": "MERCHANT"
}
```

### Responses

#### 201

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/payments/vipps/webhook/{tenantId}' \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "agreementId": "string",
  "amount": 0,
  "amountCanceled": 0,
  "amountCaptured": 0,
  "amountRefunded": 0,
  "chargeExternalId": "string",
  "chargeId": "string",
  "chargeType": "string",
  "currency": "string",
  "eventType": "recurring.charge-captured.v1",
  "occurred": "2019-08-24T14:15:22Z",
  "actor": "MERCHANT"
}'
```

<a id="post-api-v1-payments-vipps-recurrent-payments"></a>
## VippsController\_queueVippsRecurringPayments\_v1

`POST /api/v1/payments/vipps/recurrent-payments`

**Authentication:** Bearer token (JWT)

### Responses

#### 201

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

### Example request

```bash
curl https://api.subrite.no/api/v1/payments/vipps/recurrent-payments \
  --request POST \
  --header 'Authorization: Bearer <token>'
```

<a id="get-api-v1-payments-vipps-agreement-agreementid"></a>
## Get agreement details

`GET /api/v1/payments/vipps/agreement/{agreementId}`

Get agreement details from Vipps

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `agreementId` (Required) | path | `string` |   |

### Responses

#### 200

Content type: `application/json` · `object`

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

paymentProviderConfigNotFound

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"paymentProviderConfigNotFound"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "paymentProviderConfigNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 422

Content type: `application/json` · `ErrorResponse`

paymentProviderRequestInvalid

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"paymentProviderRequestInvalid"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "paymentProviderRequestInvalid",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

#### 502

Content type: `application/json` · `ErrorResponse`

paymentProviderUnavailable

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"paymentProviderUnavailable"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "paymentProviderUnavailable",
  "message": "string",
  "errors": [
    {}
  ]
}
```

### Example request

```bash
curl 'https://api.subrite.no/api/v1/payments/vipps/agreement/{agreementId}' \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
{}
```

<a id="get-api-v1-payments-vipps-agreement-agreementid-cancel-chargeid"></a>
## VippsController\_cancelCharge\_v1

`GET /api/v1/payments/vipps/agreement/{agreementId}/cancel/{chargeId}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `agreementId` (Required) | path | `string` |   |
| `chargeId` (Required) | path | `string` |   |

### Responses

#### 200

Content type: `application/json` · `object`

#### 400

Content type: `application/json` · `ErrorResponse`

chargeCannotBeCancelled

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"chargeCannotBeCancelled"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "chargeCannotBeCancelled",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

chargeNotFound

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"chargeNotFound"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "chargeNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 422

Content type: `application/json` · `ErrorResponse`

paymentProviderRequestInvalid

Same fields as [Get agreement details (422)](https://www.subrite.no/developers/vipps-payment?md=true#get-api-v1-payments-vipps-agreement-agreementid).

**Example response**

`application/json`

```json
{
  "messageCode": "paymentProviderRequestInvalid",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

#### 502

Content type: `application/json` · `ErrorResponse`

paymentProviderUnavailable

Same fields as [Get agreement details (502)](https://www.subrite.no/developers/vipps-payment?md=true#get-api-v1-payments-vipps-agreement-agreementid).

**Example response**

`application/json`

```json
{
  "messageCode": "paymentProviderUnavailable",
  "message": "string",
  "errors": [
    {}
  ]
}
```

### Example request

```bash
curl 'https://api.subrite.no/api/v1/payments/vipps/agreement/{agreementId}/cancel/{chargeId}' \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
{}
```

<a id="get-api-v1-payments-vipps-pause-due-subscriptions"></a>
## VippsController\_pauseDueSubscriptions\_v1

`GET /api/v1/payments/vipps/pause-due-subscriptions`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

### Example request

```bash
curl https://api.subrite.no/api/v1/payments/vipps/pause-due-subscriptions \
  --header 'Authorization: Bearer <token>'
```

<a id="get-api-v1-payments-vipps-queue-update-due-charges"></a>
## VippsController\_queueUpdateDueCharges\_v1

`GET /api/v1/payments/vipps/queue-update-due-charges`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [VippsController\_createIntent\_v1 (401)](https://www.subrite.no/developers/vipps-payment?md=true#post-api-v1-payments-vipps-intent).

### Example request

```bash
curl https://api.subrite.no/api/v1/payments/vipps/queue-update-due-charges \
  --header 'Authorization: Bearer <token>'
```
